<div class="container">
  <div class="row justify-content-center">
    <div class="col-xs-10 col-sm-9 col-md-8">
      <div class="text-center">
        <h2>Winkels</h2>
      </div>

      <ng-template #no_content> - </ng-template>

      <div *ngIf="loginCheck()">
        <a routerLink="/store/add" class="btn btn-large btn-main" id="add">
          Winkel toevoegen
        </a>
      </div>

      <div *ngFor="let store of storesArray" id="storesList">
        <div class="card" id="storeCard">
          <div class="card-body">
            <h5 class="card-title">{{ store.name }}</h5>
            <span class="card-text" *ngIf="store.address[0]; else no_content">
              <span *ngIf="store.address[0].city">
                {{ store.address[0].city }}
              </span>
              <span *ngIf="store.address[0].street">
                {{ store.address[0].street }}
              </span>
              <span *ngIf="store.address[0].houseNumber">
                {{ store.address[0].houseNumber }}
              </span>
            </span>

            <div *ngIf="loginCheck()">
              <a
                id="details"
                routerLink="/store/{{ store._id }}"
                class="btn btn-medium btn-second"
              >
                Meer
              </a>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
